- [HTTP request](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts/list#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts/list#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts/list#body.SslCertsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts/list#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts/list#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts/list#try-it)

Lists all of the current SSL certificates for the instance.

### HTTP request

`GET https://sqladmin.googleapis.com/v1/projects/{project}/instances/{instance}/sslCerts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID of the project that contains the instance. |
| `instance` | `string` Cloud SQL instance ID. This does not include the project ID. |

### Request body

The request body must be empty.

### Response body

SslCerts list response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "items": [ { object (`https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts#SslCert`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` This is always `sql#sslCertsList`. |
| `items[]` | ``object (`https://docs.cloud.google.com/sql/docs/postgres/admin-api/rest/v1/sslCerts#SslCert`)`` sslCerts.list of client certificates for the instance. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).